Package com.sun.messaging.jms

# Class MQTransactionInProgressRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.jms.JMSRuntimeException
jakarta.jms.TransactionInProgressRuntimeException
com.sun.messaging.jms.MQTransactionInProgressRuntimeException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `Serializable`

public class MQTransactionInProgressRuntimeException extends jakarta.jms.TransactionInProgressRuntimeException implements com.sun.messaging.jmq.jmsclient.logging.Loggable
This class is the MQ-specific implementation of jakarta.jms.MQTransactionInProgressRuntimeException and adds the methods setLogState and getlogState

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MQTransactionInProgressRuntimeException(jakarta.jms.TransactionInProgressException cause)`
  Construct a `MQMQTransactionInProgressRuntimeException` to wrap the specified TransactionInProgressException

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  return whether this object is logged
  `void`
  `setLogState(boolean state)`
  Specify whether this object is logged.

  ### Methods inherited from class jakarta.jms.JMSRuntimeException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MQTransactionInProgressRuntimeException

    public MQTransactionInProgressRuntimeException(jakarta.jms.TransactionInProgressException cause)
    Construct a `MQMQTransactionInProgressRuntimeException` to wrap the specified TransactionInProgressException
    Parameters:
      `cause` - the underlying cause of this exception

- ## Method Details

  - ### setLogState

    public void setLogState(boolean state)
    Specify whether this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - whether this object is logged

  - ### getLogState

    public boolean getLogState()
    return whether this object is logged
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      whether this object is logged